;;; -*- lisp -*-

;;;; * Configuration file for UCW (`:ucw.default' system)

(in-package :it.bese.ucw-user)

;;;; These are the default values as in the `:ucw.default' system,
;;;; thus you can safely omit them if they are ok for you

(setf *ucw-backend-type*   :araneida) ;:httpd
(setf *ucw-swank-port*     4005)
(setf *ucw-backend-host*   "127.0.0.1")
(setf *ucw-backend-port*   8080)
(setf *ucw-server-class*   'standard-server)

;; Setting this is probably unnecessary if going to explicitly load apps via asdf
;; in the startup script.
;(setf *ucw-applications-directory* "/usr/local/asdf-install/site/ucw_dev/examples/")
;(setf *ucw-applications-directory* "/etc/ucw/applications.d/")

;; It's probably better to leave this nil and explicitly load the apps later.
;(setf *ucw-systems*        '(:ucw.admin :ucw.examples))
;(setf *ucw-applications*   '(it.bese.ucw::*admin-application*
;			     it.bese.ucw-user::*example-application*))

; debugging, tracing, logging, dribbling
(setf *ucw-inspector*             nil)
(setf *ucw-debugger*              nil) ;t
(setf *ucw-log-level*             '+DRIBBLE+) ;+INFO+ +DRIBBLE+
(setq arnesi:*trace-cc*           nil)
(setf arnesi::*debug-evaluate/cc* nil) ;:full | t
